
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global function static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/sched.h |    1 -
 25-akpm/kernel/exit.c         |    4 +++-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN include/linux/sched.h~kernel-exitc-make-exit_mm-static include/linux/sched.h
--- 25/include/linux/sched.h~kernel-exitc-make-exit_mm-static	2005-03-30 18:03:19.000000000 -0800
+++ 25-akpm/include/linux/sched.h	2005-03-30 18:03:19.000000000 -0800
@@ -1050,7 +1050,6 @@ extern int  copy_thread(int, unsigned lo
 extern void flush_thread(void);
 extern void exit_thread(void);
 
-extern void exit_mm(struct task_struct *);
 extern void exit_files(struct task_struct *);
 extern void exit_signal(struct task_struct *);
 extern void __exit_signal(struct task_struct *);
diff -puN kernel/exit.c~kernel-exitc-make-exit_mm-static kernel/exit.c
--- 25/kernel/exit.c~kernel-exitc-make-exit_mm-static	2005-03-30 18:03:19.000000000 -0800
+++ 25-akpm/kernel/exit.c	2005-03-30 18:03:19.000000000 -0800
@@ -39,6 +39,8 @@ extern struct task_struct *child_reaper;
 
 int getrusage(struct task_struct *, int, struct rusage __user *);
 
+static void exit_mm(struct task_struct * tsk);
+
 static void __unhash_process(struct task_struct *p)
 {
 	nr_threads--;
@@ -475,7 +477,7 @@ EXPORT_SYMBOL_GPL(exit_fs);
  * Turn us into a lazy TLB process if we
  * aren't already..
  */
-void exit_mm(struct task_struct * tsk)
+static void exit_mm(struct task_struct * tsk)
 {
 	struct mm_struct *mm = tsk->mm;
 
_
